Bug 1283644 - [RFE][cinder] Ability to support High Availability Active-Active configurations in Cinder Volume
Summary: [RFE][cinder] Ability to support High Availability Active-Active configuratio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M3
: 11.0 (Ocata)
Assignee: Gorka Eguileor
QA Contact: lkuchlan
URL: https://specs.openstack.org/openstack...
Whiteboard: upstream_milestone_none upstream_defi...
Depends On:
Blocks: 1339072 1336839 1361252 1431431
TreeView+ depends on / blocked
 
Reported: 2015-11-19 13:51 UTC by Pablo Iranzo Gómez
Modified: 2019-09-12 09:21 UTC (History)
19 users (show)

Fixed In Version: openstack-cinder-10.0.0-0.20170220221031.ea70d55.el7ost
Doc Type: No Doc Update
Doc Text:
Even thought this is an RFE, it's an enabler for future support and there is nothing new to document for this release.
Clone Of:
Environment:
Last Closed: 2017-05-17 19:25:05 UTC
scohen: needinfo+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC

Description Pablo Iranzo Gómez 2015-11-19 13:51:08 UTC
Description of problem:

It would be nice to have this blueprint: https://blueprints.launchpad.net/cinder/+spec/cinder-volume-active-active-support

Implemented in RHOS

Comment 3 Sean Cohen 2015-11-25 23:56:20 UTC
(In reply to Pablo Iranzo Gómez from comment #0)

This feature is already scoped for Mitaka 
Sean

Comment 10 Paul Grist 2017-01-27 17:16:28 UTC
Updating the title to reflect that this is the Cinder general framework to allow drivers to be active active in the next release. The patches have landed for the current Ocata goal and moving this RFE bug into POST after discussing with Gorka. The blueprint will be on going as additional items are found through testing and initial post-Ocata driver work, but this RFE is in POST with the O3 milestone builds.

Comment 13 lkuchlan 2017-03-13 09:51:37 UTC
Tested using:
python-cinder-10.0.1-0.20170302032509.5424b26.el7ost.noarch
puppet-cinder-10.3.0-1.el7ost.noarch
openstack-cinder-10.0.1-0.20170302032509.5424b26.el7ost.noarch

Running tempest tests successfully

Comment 15 errata-xmlrpc 2017-05-17 19:25:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.